/* MODAL */
.modal_opciones_dinamica {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 1000;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.content_modal_dinamica {
    width: 950px;
    height: 100%;
    max-height: 500px;
    background-color: white;
    border-radius: 20px;
    padding: 15px;
    display: flex;
    flex-direction: column;
    min-height: 0;
    position: relative;
}

.content_head_modal {
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: relative;
    padding: 10px 0;
    width: 100%;
    font-size: 12px;
}

.content_head_modal p:hover {
    opacity: 0.7;
    cursor: pointer;
}

.close_modal_icon {
    font-size: 16px;
    position: absolute;
    border-radius: 20px;
    padding: 0 8px;
    top: -10px;
    right: 0px;
    transition: all 0.4s ease;
}

.close_modal_icon:hover {
    background-color: rgb(0, 0, 58);
    color: white;
    border-radius: 20px;
    padding: 0 8px;
    opacity: 0.7;
    cursor: pointer;
}

.content_body_modal {
    width: 100%;
    height: 100%;
    overflow: auto;
}

.info_body_modal {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    width: 100%;
}

.info_body_modal h2 {
    margin-top: 20px;
}

.input_modal_DP {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    width: 100%;
    gap: 10px;
}

.input_modal_DP input {
    width: 200px;
}

.input_modal_DP select {
    width: 200px;
}


.select_menu {
    border-bottom: #791706 1px solid;
}

.content_head_modal p:hover.select_menu {
    border-bottom: #995d02 1px solid;
}

.table_ya_tiene_bono {
    color: rgb(8, 209, 8);
    font-size: 0.5rem;
}

.table_btn_enviar_bono {
    background-color: #10101a;
    color: white;
    border: none;
    padding: 2px 5px;
    font-size: 0.5rem;
    transition: all 0.4s ease;
    border-radius: 4px;
}

.table_btn_enviar_bono:hover {
    background-color: #4c4c69;
}

.table_input_bono_portal {
    width: 40px;
    font-size: 0.5rem;
    border: rgb(219, 219, 219) solid 1px;
    border-radius: 10px;
    padding: 3px 4px;
}

.table_input_bono_portal:focus {
    outline: none;
    border: #aaaaaa solid 1px;
}

.datos_column_modal {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 20px;
    padding: 10px 0;
}

.datos_column_modal select,
.datos_column_modal input {
    width: 180px;
    font-size: 16px;
}

.datos_column_modal textarea {
    width: 300px;
    height: 150px;
    border-radius: 20px 20px 0 20px;
    padding: 10px;
    font-size: 16px;
    border: #eee solid 1px;
    outline: none;
    transition: border 0.3s ease, box-shadow 0.3s ease;
}

.datos_column_modal textarea:focus {
    border: #aaaaaa solid 1px;
}

.content_btn_modal {
    margin-bottom: 20px;
}

.content_btn_modal button {
    font-size: 16px;
}

.content_opcion_head {
    position: relative;
}

.table-wrapper {
    width: 100%;
    overflow-x: auto;
}

.styled-table {
    width: 100%;
    border-collapse: collapse;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    min-width: 800px;
}

.styled-table thead {
    background: rgb(9, 24, 53);
    color: #fff;
}

.styled-table th,
.styled-table td {
    padding: 8px 8px;
    font-size: 10px !important;
    text-align: center;
    border: 1px solid #ddd;
}

.styled-table tbody tr {
    background-color: #fff;
    color: #000;
}

.styled-table tbody tr:nth-child(even) {
    background-color: #f9f9f9;
}

.styled-table tbody tr:hover {
    background-color: #f1f1f1;
}

.table-result {
    width: 100%;
    overflow-x: auto;
}

.color-gray {
    font-size: 9px;
    color: gray;
}

.item_full_screen {
    width: 100vw !important;
    max-height: 100vh !important;
    border-radius: 0 !important;
}

.content_expand {
    position: absolute;
    right: 20px;
    bottom: 20px;
}

.content_expand img {
    width: 15px;
    transition: all 0.4s ease;
}

.content_expand img:hover {
    cursor: pointer;
    opacity: 0.7;
    transform: scale(1.1);
}

._content_observacion_dinamica_ {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 20px;
}

.corre_obs {
    color: rgb(0, 204, 0);
}

.pendi_obs {
    color: red;
}

.item_disable {
    opacity: 0.7;
    pointer-events: none;
}

.notificacion_registro_dia {
    width: 5px;
    height: 5px;
    background-color: red;
    border-radius: 50%;
    z-index: 10;
    font-size: 4rem;
    color: #000;
    position: absolute;
    top: 0;
    right: -5px;
}

/* ---------------------------------------------------- */